# AccountSearchComponent | CICADA
Documentation for CICADA

### Hierarchy

- AccountSearchComponent

### Implements

- OnInit

## Index

### Constructors

- constructor

### Properties

- addressSearchForm
- addressSearchLoading
- addressSearchSubmitted
- matcher
- nameSearchForm
- nameSearchLoading
- nameSearchSubmitted
- phoneSearchForm
- phoneSearchLoading
- phoneSearchSubmitted

### Accessors

- addressSearchFormStub
- nameSearchFormStub
- phoneSearchFormStub

### Methods

- ngOnInit
- onAddressSearch
- onNameSearch
- onPhoneSearch

## Constructors

### constructor

- new AccountSearchComponent(formBuilder: FormBuilder, userService: UserService, router: Router): AccountSearchComponent

- - Defined in src/app/pages/accounts/account-search/account-search.component.ts:25

  #### Parameters

  - ##### formBuilder: FormBuilder

  - ##### userService: UserService

  - ##### router: Router

  #### Returns AccountSearchComponent

## Properties

### addressSearchForm

addressSearchForm: FormGroup

- Defined in src/app/pages/accounts/account-search/account-search.component.ts:22

### addressSearchLoading

addressSearchLoading: boolean = false

- Defined in src/app/pages/accounts/account-search/account-search.component.ts:24

### addressSearchSubmitted

addressSearchSubmitted: boolean = false

- Defined in src/app/pages/accounts/account-search/account-search.component.ts:23

### matcher

matcher: CustomErrorStateMatcher = ...

- Defined in src/app/pages/accounts/account-search/account-search.component.ts:25

### nameSearchForm

nameSearchForm: FormGroup

- Defined in src/app/pages/accounts/account-search/account-search.component.ts:16

### nameSearchLoading

nameSearchLoading: boolean = false

- Defined in src/app/pages/accounts/account-search/account-search.component.ts:18

### nameSearchSubmitted

nameSearchSubmitted: boolean = false

- Defined in src/app/pages/accounts/account-search/account-search.component.ts:17

### phoneSearchForm

phoneSearchForm: FormGroup

- Defined in src/app/pages/accounts/account-search/account-search.component.ts:19

### phoneSearchLoading

phoneSearchLoading: boolean = false

- Defined in src/app/pages/accounts/account-search/account-search.component.ts:21

### phoneSearchSubmitted

phoneSearchSubmitted: boolean = false

- Defined in src/app/pages/accounts/account-search/account-search.component.ts:20

## Accessors

### addressSearchFormStub

- get addressSearchFormStub(): any

- - Defined in src/app/pages/accounts/account-search/account-search.component.ts:53

  #### Returns any

### nameSearchFormStub

- get nameSearchFormStub(): any

- - Defined in src/app/pages/accounts/account-search/account-search.component.ts:47

  #### Returns any

### phoneSearchFormStub

- get phoneSearchFormStub(): any

- - Defined in src/app/pages/accounts/account-search/account-search.component.ts:50

  #### Returns any

## Methods

### ngOnInit

- ngOnInit(): Promise<void>

- Implementation of OnInit.ngOnInit

  - Defined in src/app/pages/accounts/account-search/account-search.component.ts:43

  #### Returns Promise<void>

### onAddressSearch

- onAddressSearch(): Promise<void>

- - Defined in src/app/pages/accounts/account-search/account-search.component.ts:87

  #### Returns Promise<void>

### onNameSearch

- onNameSearch(): void

- - Defined in src/app/pages/accounts/account-search/account-search.component.ts:57

  #### Returns void

### onPhoneSearch

- onPhoneSearch(): Promise<void>

- - Defined in src/app/pages/accounts/account-search/account-search.component.ts:67

  #### Returns Promise<void>

Generated using TypeDoc